#!/bin/bash
# SimpleCRM OsUX - Modification système
#
# Modification des serveurs DNS
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° DNS SERVER
echo nameserver 208.67.222.222 >> /etc/resolv.conf
echo nameserver 8.8.8.8 > /etc/resolv.conf
# Info : chattr permet que /etc/resolv.conf ne soit pas écrasé au boot system
# Pour revenir à un serveur DNS alloué dynamiquement, il faut utiliser la commande:
# chattr -i /etc/resolv.conf
chattr +i /etc/resolv.conf
# Modification des MTU pour une meilleure gestion des micros coupures et/ou connexions faibles
# La valeure par défaut du MTU avant modification est 1500
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° MTU
more mtu >> /etc/init.d/rc.local
# Mise à jour du cache des paquets 
# Info : Les paquets contiennent généralement tous les fichiers nécessaires pour implémenter 
# un ensemble de commandes ou de fonctionnalités. Voir http://www.debian.org/doc/manuals/debian-faq/ch-pkg_basics.fr.html
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° UPDATE
apt-get update
echo °°°°°°°°°°°°°°°°°°°°°
# Ce logiciel va nous permet de configurer la fréquence du processeur 
# dans le but de consommer moins d'énergie (pratique pour prolonger la batterie des ordinateurs portables), 
# de faire moins chauffer votre processeur et en plus 
# de diminuer la vitesse du ventilateur pour gagner en silence
echo °°° CPUfrequtils
apt-get install cpufrequtils
# Laptop-mode-tools est un ensemble de scripts côté utilisateur permettant 
# de contrôler finement la gestion de l'énergie de votre portable
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° LAPTOP-MODE-TOOLS
echo O | apt-get install laptop-mode-tools
echo °°°°°°°°°°°°°°°°°°°°°
# Xapian est un moteur de recherche et d'indexation de fichiers
# Nous le retirons du Linux car malheureusement, sur les petites configurations, 
# il utilise 100% du CPU (ou presque) afin de créer ses indexs
echo °°° RMV Xapian
echo O | apt-get remove apt-xapian-index
# Installation du navigateur web Chromium
# Afin de ne pas perturber les non linuxiens, nous utiliserons son nom commercial Chrome
# dans le menu
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° CHROME
echo O | apt-get install chromium chromium-l10n
# Installation du client email Icedove
# Afin de ne pas perturber les non linuxiens, nous utiliserons son nom commercial Thunderbird
# dans le menu
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° THUNDERBIRD
apt-get install icedove
echo °°°°°°°°°°°°°°°°°°°°°
# Installation du logiciel PDFSAM, logiciel permettant le split et fusion de documents PDF
# Info : http://www.pdfsam.org
echo °°° PDFSAM
echo O | apt-get install pdfsam
# Installation de Xournal, logiciel permettant l'édition de documents PDF
# Afin de ne pas perturber les non linuxiens, nous utiliserons le terme PDF Edit
# dans le menu, qui est plus facile à comprendre
# Info : http://xournal.sourceforge.net
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° PDF EDIT
echo O | apt-get install xournal
# Installation du démon Preload
# Preload liste les programmes que vous utilisez le plus souvent 
# afin de pré-charger les applications cibles en mémoire vive
# But : augmenter la vitesse de lancement des applications
# Info : http://www.linuxcertif.com/man/8/preload/
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° PRELOAD DAMEON
apt-get install preload
echo _____________________
# Reboot : pas réellement nécessaires mais permet aux nons linuxiens de comprendre
# que l'installation est terminée
echo °°°°°°°°°°°°°°°°°°°°°
echo °°° REBOOT IN 10 SEC
ping -c 10 localhost > null
reboot -f
